package com.bocloud.ims.entity.resource.azure.slb;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * @ClassName: inboundNatPool
 * @Description:前往网络池
 * @author: zhenpingLi/李振平
 * @date: 2020/10/16 10:09
 */
@Table("inbound_nat_pool")
public class InboundNatPool extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("slb_id")
    private Long slbId;
    @Column("frontend_port_range_end")
    private Integer frontendPortRangeEnd;
    @Column("frontend_port_range_start")
    private Integer frontendPortRangeStart;
    @Column("backend_port")
    private Integer backendPort;
    @Column("protocol")
    private String protocol;
    @Column("vendor_id")
    private Long vendorId;
    @IgnoreAll
    private String slbUuid;//负载均衡uuid

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getSlbId() {
        return slbId;
    }

    public void setSlbId(Long slbId) {
        this.slbId = slbId;
    }

    public Integer getFrontendPortRangeEnd() {
        return frontendPortRangeEnd;
    }

    public void setFrontendPortRangeEnd(Integer frontendPortRangeEnd) {
        this.frontendPortRangeEnd = frontendPortRangeEnd;
    }

    public Integer getFrontendPortRangeStart() {
        return frontendPortRangeStart;
    }

    public void setFrontendPortRangeStart(Integer frontendPortRangeStart) {
        this.frontendPortRangeStart = frontendPortRangeStart;
    }

    public Integer getBackendPort() {
        return backendPort;
    }

    public void setBackendPort(Integer backendPort) {
        this.backendPort = backendPort;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getSlbUuid() {
        return slbUuid;
    }

    public void setSlbUuid(String slbUuid) {
        this.slbUuid = slbUuid;
    }
}